"use strict";

/* exported logger */

var ContextMenu = require('./ContextMenu');

var logger = require('../logger');

function MapContextMenu(params) {
  ContextMenu.call(this, params);
  var self = this;

  self._createMapContextMenuGui();
  self.setMolStar(params.molStar);
}

MapContextMenu.prototype = Object.create(ContextMenu.prototype);
MapContextMenu.prototype.constructor = MapContextMenu;


MapContextMenu.prototype._createMapContextMenuGui = function() {
  var self = this;
  self.addOption("Add comment", function() {
    return self.getMap().openCommentDialog();
  });
  self.addOption("Select mode", function() {
    return self.getMap().turnOnOffDrawing();
  });  
};

MapContextMenu.prototype.init = function() {
  var self = this;
  return self.createExportAsImageSubmenu().then(function(submenu){
    self.addOption(submenu);
    return self.createExportAsModelSubmenu();
  }).then(function(submenu){
    self.addOption(submenu);
  });
};

MapContextMenu.prototype.setMolStar = function(molStar){
  this._molStar = molStar;
};

MapContextMenu.prototype.getMolStar = function(){
  return this._molStar;
};

module.exports = MapContextMenu;
